#include<stdio.h>

int main()
    {
        int sum,fact,i,j,n;
        printf("Enter your Number : ");
        scanf("%d",&n);
        sum=0;

        for ( i = 1; i <= n; i=i+2)
        {
            fact=1;

            for ( j = 1; j <=i; j++)
            {
                fact = fact * j;
            }
            
            sum = sum + fact;
            
        }

        printf("Sum=%d", sum);
    return 0;

    }